WordPress.org

Forums

Attachments
[resolved] Fatal Error After Upgrading to 3.1 (5 posts)

  1. Dpete
    Member
    Posted 2 years ago #

    Fatal error: Declaration of Attachments_Field_Text::assets() must be compatible with that of Attachments_Field_Template::assets() in /wp-content/plugins/attachments/classes/fields/class.field.text.php on line 10

    Any ideas how to fix this?

    http://wordpress.org/extend/plugins/attachments/

  2. Jonathan Christopher
    Member
    Plugin Author

    Posted 2 years ago #

    Checking right now!

  3. Jonathan Christopher
    Member
    Plugin Author

    Posted 2 years ago #

    I'm not sure why that error didn't trigger in my dev environment, but version 3.1.1 should fix the issue. You might want to download and update directly because WordPress only checks for updates automatically every so often. If you could post back letting me know if the issue is resolved on your end that would be great!

  4. Dpete
    Member
    Posted 2 years ago #

    Yes that fixed it! Thanks a lot for your help and for creating this sweet plugin!

  5. Jonathan Christopher
    Member
    Plugin Author

    Posted 2 years ago #

    Awesome. I'm really sorry that error made it all the way through my testing. It shouldn't have happened. If you have a minute a review of Attachments would be much appreciated! http://wordpress.org/support/view/plugin-reviews/attachments

Topic Closed

This topic has been closed to new replies.

About this Plugin

  • Attachments
  • Frequently Asked Questions
  • Support Threads
  • Reviews

About this Topic

Tags

No tags yet.